import java.nio.CharBuffer;

public class Freq
{
   public static void main(String[] args)
   {
      if (args.length != 1)
      {
         System.err.println("usage: java Freq text");
         return;
      }
      analyzeS(args[0]);
      analyzeSB(new StringBuffer(args[0]));
      analyzeCB(CharBuffer.wrap(args[0]));
   }

   static void analyzeCB(CharBuffer cb)
   {
      int counts[] = new int[26];
      while (cb.hasRemaining())
      {
         char ch = cb.get();
         if (ch >= 'a' && ch <= 'z')
            counts[ch - 'a']++;
      }
      for (int i = 0; i < counts.length; i++)
         System.out.printf("Count of %c is %d%n", (i + 'a'), counts[i]);
      System.out.println();
   }

   static void analyzeS(String s)
   {
      int counts[] = new int[26];
      for (int i = 0; i < s.length(); i++)
      {
         char ch = s.charAt(i);
         if (ch >= 'a' && ch <= 'z')
            counts[ch - 'a']++;
      }
      for (int i = 0; i < counts.length; i++)
         System.out.printf("Count of %c is %d%n", (i + 'a'), counts[i]);
      System.out.println();
   }

   static void analyzeSB(StringBuffer sb)
   {
      int counts[] = new int[26];
      for (int i = 0; i < sb.length(); i++)
      {
         char ch = sb.charAt(i);
         if (ch >= 'a' && ch <= 'z')
            counts[ch - 'a']++;
      }
      for (int i = 0; i < counts.length; i++)
         System.out.printf("Count of %c is %d%n", (i + 'a'), counts[i]);
      System.out.println();
   }
}